NX Open C++ Reference Guide
|
This class is used to construct the crosshatching that lies within a boundary. More...
Public Types | |
enum | AnnotationTypes { AnnotationTypesCrosshatch, AnnotationTypesAreaFill } |
Represents types of hatch objects. More... | |
Public Member Functions | |
double | Angle () |
Returns the angle. | |
NXOpen::SelectDisplayableObjectList * | AnnotationToExclude () |
Returns the select annotation to exclude Created in NX6.0.0. | |
NXOpen::Annotations::HatchBuilder::AnnotationTypes | AnnotationType () |
Returns the type of hatch object Created in NX6.0.0. | |
double | AreafillAngle () |
Returns the areafill angle. | |
bool | AutomaticallyExcludeText () |
Returns the exclude text. | |
NXOpen::Annotations::BoundaryBuilder * | Boundary () |
Returns the boundary Created in NX6.0.0. | |
NXOpen::NXColor * | Color () |
Returns the color. | |
NXString | CrosshatchFile () |
Returns the crosshatch file. | |
double | Distance () |
Returns the distance. | |
double | GetMarginPercent (NXOpen::NXObject *annotation) |
Get margin percent of a annotation. | |
NXOpen::Annotations::HatchFillSettingsBuilder * | HatchFillSettings () |
Returns the HatchFillSetting Created in NX7.5.0. | |
NXOpen::Annotations::AreaFillMaterial | Material () |
Returns the area fill material. | |
NXString | Pattern () |
Returns the pattern. | |
double | Scale () |
Returns the scale. | |
void | SetAngle (double angle) |
Sets the angle. | |
void | SetAnnotationType (NXOpen::Annotations::HatchBuilder::AnnotationTypes type) |
Sets the type of hatch object Created in NX6.0.0. | |
void | SetAreafillAngle (double angle) |
Sets the areafill angle. | |
void | SetAutomaticallyExcludeText (bool excludeText) |
Sets the exclude text. | |
void | SetColor (NXOpen::NXColor *color) |
Sets the color. | |
void | SetCrosshatchFile (const NXString &filename) |
Sets the crosshatch file. | |
void | SetCrosshatchFile (const char *filename) |
Sets the crosshatch file. | |
void | SetCurveDirection (NXOpen::NXObject *curveTag, int curveDirection) |
Set direction of a curve to the annotation The number of diection map elements need to specify before to the direction of the curve elements to the annotation Created in NX8.0.0. | |
void | SetDistance (double distance) |
Sets the distance. | |
void | SetMarginPercent (NXOpen::NXObject *annotation, double marginpercent) |
Set margin percent to a annotation Created in NX7.5.0. | |
void | SetMaterial (NXOpen::Annotations::AreaFillMaterial areaFillMaterial) |
Sets the area fill material. | |
void | SetNumCurrentDirectionMapElements (int numCurrentDirectionMapElement) |
Set number of direction map elements to the annotation Created in NX8.0.0. | |
void | SetPattern (const NXString &identifier) |
Sets the pattern. | |
void | SetPattern (const char *identifier) |
Sets the pattern. | |
void | SetScale (double scale) |
Sets the scale. | |
void | SetSectionCurveDirections (NXOpen::NXObject *section, NXOpen::NXObject *curve, const std::vector< int > &curveDirections) |
Set directions of a curve to the annotation The number of diection map elements need to specify before to the direction of the curve elements to the annotation Created in NX8.5.0. | |
void | SetTolerance (double tolerance) |
Sets the tolerance. | |
void | SetWidth (NXOpen::Annotations::LineWidth width) |
Sets the width. | |
double | Tolerance () |
Returns the tolerance. | |
NXOpen::Annotations::LineWidth | Width () |
Returns the width. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This class is used to construct the crosshatching that lies within a boundary.
<br> To create a new instance of this class, use @link Annotations::HatchCollection::CreateHatchBuilder Annotations::HatchCollection::CreateHatchBuilder @endlink <br>
Created in NX6.0.0.
Represents types of hatch objects.
Use Annotations::HatchBuilder::HatchFillSettings instead..
double NXOpen::Annotations::HatchBuilder::Angle | ( | ) |
Returns the angle.
Created in NX6.0.0.
License requirements : None
NXOpen::SelectDisplayableObjectList* NXOpen::Annotations::HatchBuilder::AnnotationToExclude | ( | ) |
Returns the select annotation to exclude
Created in NX6.0.0.
License requirements : None
NXOpen::Annotations::HatchBuilder::AnnotationTypes NXOpen::Annotations::HatchBuilder::AnnotationType | ( | ) |
Returns the type of hatch object
Created in NX6.0.0.
License requirements : None
double NXOpen::Annotations::HatchBuilder::AreafillAngle | ( | ) |
Returns the areafill angle.
Created in NX6.0.1.
License requirements : None
bool NXOpen::Annotations::HatchBuilder::AutomaticallyExcludeText | ( | ) |
Returns the exclude text.
This is not used if Annotations::BoundaryBuilder::SelectionMethodCurves is set.
Created in NX6.0.0.
License requirements : None
NXOpen::Annotations::BoundaryBuilder* NXOpen::Annotations::HatchBuilder::Boundary | ( | ) |
Returns the boundary
Created in NX6.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Annotations::HatchBuilder::Color | ( | ) |
Returns the color.
Created in NX6.0.0.
License requirements : None
NXString NXOpen::Annotations::HatchBuilder::CrosshatchFile | ( | ) |
Returns the crosshatch file.
Created in NX6.0.0.
License requirements : None
double NXOpen::Annotations::HatchBuilder::Distance | ( | ) |
Returns the distance.
Created in NX6.0.0.
License requirements : None
double NXOpen::Annotations::HatchBuilder::GetMarginPercent | ( | NXOpen::NXObject * | annotation | ) |
Get margin percent of a annotation.
annotation | annotation or DraftingCombinedInstance |
NXOpen::Annotations::HatchFillSettingsBuilder* NXOpen::Annotations::HatchBuilder::HatchFillSettings | ( | ) |
Returns the HatchFillSetting
Created in NX7.5.0.
License requirements : None
NXOpen::Annotations::AreaFillMaterial NXOpen::Annotations::HatchBuilder::Material | ( | ) |
Returns the area fill material.
Created in NX6.0.0.
License requirements : None
NXString NXOpen::Annotations::HatchBuilder::Pattern | ( | ) |
Returns the pattern.
Created in NX6.0.0.
License requirements : None
double NXOpen::Annotations::HatchBuilder::Scale | ( | ) |
Returns the scale.
Created in NX6.0.0.
License requirements : None
void NXOpen::Annotations::HatchBuilder::SetAngle | ( | double | angle | ) |
Sets the angle.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
angle | angle |
void NXOpen::Annotations::HatchBuilder::SetAnnotationType | ( | NXOpen::Annotations::HatchBuilder::AnnotationTypes | type | ) |
Sets the type of hatch object
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
type | type |
void NXOpen::Annotations::HatchBuilder::SetAreafillAngle | ( | double | angle | ) |
Sets the areafill angle.
Created in NX6.0.1.
License requirements : drafting ("DRAFTING")
angle | angle |
void NXOpen::Annotations::HatchBuilder::SetAutomaticallyExcludeText | ( | bool | excludeText | ) |
Sets the exclude text.
This is not used if Annotations::BoundaryBuilder::SelectionMethodCurves is set.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
excludeText | excludetext |
void NXOpen::Annotations::HatchBuilder::SetColor | ( | NXOpen::NXColor * | color | ) |
Sets the color.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
color | color |
void NXOpen::Annotations::HatchBuilder::SetCrosshatchFile | ( | const NXString & | filename | ) |
Sets the crosshatch file.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
filename | filename |
void NXOpen::Annotations::HatchBuilder::SetCrosshatchFile | ( | const char * | filename | ) |
Sets the crosshatch file.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
filename | filename |
void NXOpen::Annotations::HatchBuilder::SetCurveDirection | ( | NXOpen::NXObject * | curveTag, |
int | curveDirection | ||
) |
Set direction of a curve to the annotation The number of diection map elements need to specify before to the direction of the curve elements to the annotation
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
curveTag | curvetag |
curveDirection | curvedirection |
void NXOpen::Annotations::HatchBuilder::SetDistance | ( | double | distance | ) |
Sets the distance.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
distance | distance |
void NXOpen::Annotations::HatchBuilder::SetMarginPercent | ( | NXOpen::NXObject * | annotation, |
double | marginpercent | ||
) |
Set margin percent to a annotation
Created in NX7.5.0.
License requirements : drafting ("DRAFTING")
annotation | annotation or DraftingCombinedInstance |
marginpercent | text islands value |
void NXOpen::Annotations::HatchBuilder::SetMaterial | ( | NXOpen::Annotations::AreaFillMaterial | areaFillMaterial | ) |
Sets the area fill material.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
areaFillMaterial | areafillmaterial |
void NXOpen::Annotations::HatchBuilder::SetNumCurrentDirectionMapElements | ( | int | numCurrentDirectionMapElement | ) |
Set number of direction map elements to the annotation
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
numCurrentDirectionMapElement | numcurrentdirectionmapelement |
void NXOpen::Annotations::HatchBuilder::SetPattern | ( | const NXString & | identifier | ) |
Sets the pattern.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
identifier | identifier |
void NXOpen::Annotations::HatchBuilder::SetPattern | ( | const char * | identifier | ) |
Sets the pattern.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
identifier | identifier |
void NXOpen::Annotations::HatchBuilder::SetScale | ( | double | scale | ) |
Sets the scale.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
scale | scale |
void NXOpen::Annotations::HatchBuilder::SetSectionCurveDirections | ( | NXOpen::NXObject * | section, |
NXOpen::NXObject * | curve, | ||
const std::vector< int > & | curveDirections | ||
) |
Set directions of a curve to the annotation The number of diection map elements need to specify before to the direction of the curve elements to the annotation
Created in NX8.5.0.
License requirements : drafting ("DRAFTING")
section | section |
curve | curve |
curveDirections | array of directions for the curve |
void NXOpen::Annotations::HatchBuilder::SetTolerance | ( | double | tolerance | ) |
Sets the tolerance.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
tolerance | tolerance |
void NXOpen::Annotations::HatchBuilder::SetWidth | ( | NXOpen::Annotations::LineWidth | width | ) |
Sets the width.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
width | width |
double NXOpen::Annotations::HatchBuilder::Tolerance | ( | ) |
Returns the tolerance.
Created in NX6.0.0.
License requirements : None
NXOpen::Annotations::LineWidth NXOpen::Annotations::HatchBuilder::Width | ( | ) |
Returns the width.
Created in NX6.0.0.
License requirements : None